/**
 * Core Services API
 * API covering the [Networking](/iaas/Content/Network/Concepts/overview.htm),
[Compute](/iaas/Content/Compute/Concepts/computeoverview.htm), and
[Block Volume](/iaas/Content/Block/Concepts/overview.htm) services. Use this API
to manage resources such as virtual cloud networks (VCNs), compute instances, and
block storage volumes.

 * OpenAPI spec version: 20160918
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2021, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * Instance agent configuration options to choose for launching the instance
 */
export interface LaunchInstanceAgentConfigDetails {
    /**
     * Whether the agent running on the instance can gather performance metrics and monitor the instance.
     * Default value is false.
     *
     */
    "isMonitoringDisabled"?: boolean;
    /**
     * Whether the agent running on the instance can run all the available management plugins.
     * Default value is false.
     *
     */
    "isManagementDisabled"?: boolean;
}
export declare namespace LaunchInstanceAgentConfigDetails {
    function getJsonObj(obj: LaunchInstanceAgentConfigDetails): object;
}
